
ChiliProject - Bug # 762: "Send a test email" should override "don't notify of changes that I make 
myself"

Status: Ready for review Priority: Normal
Author: Sven Schwyn Category: Mail Sending
Created: 2011-12-10 Assignee: Felix Schäfer
Updated: 2013-01-06 Due date:
Remote issue URL:
Affected version:
Description: With "Settings -> Email Notifications -> Send a test email" an admin user can test the mail setup. However, if 

the admin user has "I don't want to be notified of changes that I make myself" checked on his account page, 
no test mail is sent. This can result in someone (me :-) tracking down a mail configuration error which doesn't 
exist at all.

History
2011-12-10 10:44 am - Sven Schwyn
Oops, the dashes were interpreted. Here's the text without strikethrough:

With "Settings / Email Notifications / Send a test email" an admin user can test the mail setup. However, if the admin user has "I don't want to be 
notified of changes that I make myself" checked on his account page, no test mail is sent. This can result in someone (me :) tracking down a mail 
configuration error which doesn't exist at all.

2012-01-25 08:19 pm - Rocco Stanzione
- File 762.diff added

This patch WorksForMe

2012-02-16 05:00 pm - Yehuda Katz
I was going crazy over the same issue until I found this bug report. The patch works for me too.

2012-02-23 01:18 am - Gabriel Mazetto
Can we see this in 3.1.0?

2012-04-11 08:25 am - Vladislav Poluhin
Bug still exists at 3.1.

2013-01-05 05:30 pm - Thomas von Deyen
- Assignee set to Felix Schäfer

And it still even exist in 3.3.

This bug drives me crazy everytime I change E-Mail settings.
Could someone please apply the patch, because it's working.

Thanks!

2013-01-06 10:09 am - Felix Schäfer
- Status changed from Open to Ready for review

I hadn't even noticed the patch. To be honest it doesn't look very nice, but I guess that's the best we can get at without completely rewriting the thingâ€¦
762.diff 833 Bytes 2012-01-25 Rocco Stanzione
